# - Try to find ds485-client
# Once done this will define
#
#  DS485-CLIENT_FOUND - system has ds485-client
#  DS485-CLIENT_INCLUDE_DIRS - the ds485-client include directory
#  DS485-CLIENT_LIBRARIES - Link these to use ds485-client
#  DS485-CLIENT_DEFINITIONS - Compiler switches required for using ds485-client
#
#  Copyright (c) 2010 digitalSTROM.org <dss-developer@forum.digitalstrom.org>
#
#  Redistribution and use is allowed according to the terms of the New
#  BSD license.
#  For details see the accompanying COPYING-CMAKE-SCRIPTS file.
#


if (DS485-CLIENT_LIBRARIES AND DS485-CLIENT_INCLUDE_DIRS)
  # in cache already
  set(DS485-CLIENT_FOUND TRUE)
else (DS485-CLIENT_LIBRARIES AND DS485-CLIENT_INCLUDE_DIRS)
  find_path(DS485-CLIENT_INCLUDE_DIR
    NAMES
      ds485-client-interface.h
    PATHS
      /usr/include
      /usr/local/include
      /opt/local/include
      /sw/include
    PATH_SUFFIXES
      digitalSTROM
  )

  find_library(DS485-CLIENT_LIBRARY
    NAMES
      ds485-client
    PATHS
      /usr/lib
      /usr/local/lib
      /opt/local/lib
      /sw/lib
  )

  set(DS485-CLIENT_INCLUDE_DIRS
    ${DS485-CLIENT_INCLUDE_DIR}
  )
  set(DS485-CLIENT_LIBRARIES
    ${DS485-CLIENT_LIBRARY}
)

  if (DS485-CLIENT_INCLUDE_DIRS AND DS485-CLIENT_LIBRARIES)
     set(DS485-CLIENT_FOUND TRUE)
  endif (DS485-CLIENT_INCLUDE_DIRS AND DS485-CLIENT_LIBRARIES)

  if (DS485-CLIENT_FOUND)
    if (NOT ds485-client_FIND_QUIETLY)
      message(STATUS "Found ds485-client: ${DS485-CLIENT_LIBRARIES}")
    endif (NOT ds485-client_FIND_QUIETLY)
  else (DS485-CLIENT_FOUND)
    if (ds485-client_FIND_REQUIRED)
      message(FATAL_ERROR "Could not find ds485-client")
    endif (ds485-client_FIND_REQUIRED)
  endif (DS485-CLIENT_FOUND)

  # show the DS485-CLIENT_INCLUDE_DIRS and DS485-CLIENT_LIBRARIES variables only in the advanced view
  mark_as_advanced(DS485-CLIENT_INCLUDE_DIRS DS485-CLIENT_LIBRARIES)

endif (DS485-CLIENT_LIBRARIES AND DS485-CLIENT_INCLUDE_DIRS)

